### Type parameters

- #### T

### Hierarchy

- ComposableTask
  - ComputeFaceDescriptorsTaskBase
  - DetectFacesTaskBase
  - DetectFaceLandmarksTaskBase

## Index

### Constructors

- constructor

### Methods

- run
- then

## Constructors

### constructor

- new ComposableTask<T>(): ComposableTask<T>

- #### Type parameters

  - #### T

  #### Returns ComposableTask<T>

## Methods

### run

- run(): Promise<T>

- - Defined in globalApi/ComposableTask.ts:7

  #### Returns Promise<T>

### then

- then(onfulfilled: (value: T) => T | PromiseLike<T>): Promise<T>

- - Defined in globalApi/ComposableTask.ts:3

  #### Parameters

  - ##### onfulfilled: (value: T) => T | PromiseLike<T>

    - - (value: T): T | PromiseLike<T>

      - #### Parameters

        - ##### value: T

        #### Returns T | PromiseLike<T>

  #### Returns Promise<T>